SimSimulation Class

class NXOpen.CAE.SimSimulation

Bases: NXOpen.NXObject

This is the root object in a .sim file. Only one instance of this class will exist in each fem part file.

To obtain an instance of this class, use NXOpen.CAE.SimPart.Simulation()

New in version NX4.0.0.

Properties

Property Description
ActiveSolution Returns or sets the active solution
ConditionSeqManager Returns the Condition Sequence Manager
Femodel Returns the FEModelOccurrence NXOpen.CAE.FEModelOccurrence associated with the simulation object
IsOccurrence Returns whether this object is an occurrence or not.
JournalIdentifier Returns the identifier that would be recorded in a journal for this object.
Name Returns the custom name of the object.
OwningComponent Returns the owning component, if this object is an occurrence.
OwningPart Returns the owning part of this object
Prototype Returns the prototype of this object if it is an occurrence.
Tag Returns the Tag for this object.
Loads Returns the load collection belonging to this sim part
Constraints Returns the constraint collection belonging to this sim part
SimulationObjects Returns the simulation object collection belonging to this sim part
ResponseSimulationManager Returns the response simulation manager belonging to this sim part
CorrelManager Returns the correl manager belonging to this sim part
SimulationRecipes Returns the simulation recipe collection belonging to this sim part
CaeRegions Returns the CAE region collection belonging to this sim part
CaeDOFSets Returns the CAE DOFSet collection belonging to this sim part
DurabilityManager Returns the durability manager belonging to this sim part
Solutions Returns the CAE Solution collection belonging to this sim part
LaminateManager Returns the laminate manager belonging to this sim part
TBSOptimizationManager Returns the optimization manager belonging to this sim part
OptimizationManager Returns the Design and Analysis optimization manager belonging to this sim part
ResultMeasures Returns the CAE ResultMeasure collection belonging to this sim part
LbcFolders Returns the CAE SimLbcFolder collection belonging to this sim part
AdaptivitySolutions Returns the CAE Adaptivity collection belonging to this sim part
LoadRecipes Returns the CAE Load Recipe collection belonging to this sim part
LoadSets Returns the CAE SimLoadSet collection belonging to this sim part
ConstraintSets Returns the CAE SimConstraintSet collection belonging to this sim part
DurSpecialistManager Returns the durability specialist manager belonging to this sim part
DataProcessings Returns the Data Processing collection belonging to this sim part
AeroStructManager Returns the aero structure manager belonging to this sim part

Methods

Method Description
AddBc Adds the boundary condition to the step in the solution passed.
BcSequenceDisplay Updates the specified boundary conditions persistent display color according to the sequence colors defined in customer default setting.
CloneSolution Clone the solution
CreateAttributeIterator Create an attribute iterator
CreateAutoBcBuilder Creates a NXOpen.CAE.AutoBCBuilder
CreateAutoCyclicSymmetryPairsBuilder Creates a NXOpen.CAE.AutoCyclicSymmetryPairsBuilder
CreateAutoPairsBuilder Creates a NXOpen.CAE.AutoPairsBuilder
CreateBcBuilderForBc Creates a boundary condition builder for the boundary condition passed
CreateBcBuilderForConstraintDescriptor Creates a BC builder for the constraint descriptor passed
CreateBcBuilderForLoadDescriptor Creates a BC builder for the load descriptor passed
CreateBcBuilderForSimulationObjectDescriptor Creates a boundary condition builder for the simulation object descriptor passed
CreateBcLabelManagerBuilder Creates a NXOpen.CAE.BcLabelManagerBuilder
CreateBcSelectionDisplayBuilder Creates a builder for boundary condition selection display controls command to display boundary condition’s selection CAE geometries with this boundary condition’s persistent display color
CreateCaeRegionBuilder Creates a NXOpen.CAE.CaeRegionBuilder
CreateConstraintSetBuilder Creates a NXOpen.CAE.SimConstraintSetBuilder
CreateImportedSolutionBuilder Creates a NXOpen.CAE.ImportedSolutionBuilder
CreateLoadSetBuilder Creates a NXOpen.CAE.SimLoadSetBuilder
CreateMotionLoadsBuilder Creates a NXOpen.CAE.SimMotionLoadsBuilder
CreateMotionLoadsListItemBuilder Creates a NXOpen.CAE.SimMotionLoadsListItemBuilder
CreateSimBcPlotContoursBuilder Creates a NXOpen.CAE.SimBcPlotContoursBuilder
CreateSimBcXyPlotBuilder Creates a NXOpen.CAE.SimBcXyPlotBuilder
CreateSolution Creates a solution
CreateSolutionManager Creates a NXOpen.CAE.SolutionManager for the active solution environment
CreateSolutionStep Creates a step and add to the solution
CreateStepManager Creates a NXOpen.CAE.StepManager for a solution
DeleteAllAttributesByType Deletes all attributes of a specific type.
DeleteAttributeByTypeAndTitle Deletes an attribute by type and title.
DeleteSolution Delete the solution
DeleteUserAttribute Deletes the first attribute encountered with the given Type, Title.
DeleteUserAttributes Deletes the attributes on the object, if any, that satisfy the given iterator
FindObject Finds the NXOpen.NXObject with the given identifier as recorded in a journal.
GetAttributeTitlesByType Gets all the attribute titles of a specific type.
GetBooleanUserAttribute Gets a boolean attribute by Title and array Index.
GetComputationalTimeUserAttribute Gets a time attribute by Title and array Index.
GetIntegerAttribute Gets an integer attribute by title.
GetIntegerUserAttribute Gets an integer attribute by Title and array Index.
GetNextUserAttribute Gets the next attribute encountered on the object, if any, that satisfies the given iterator.
GetPdmReferenceAttributeValue Gets the value of PDM Reference attribute for given object.
GetRealAttribute Gets a real attribute by title.
GetRealUserAttribute Gets a real attribute by Title and array Index.
GetReferenceAttribute Gets the reference string (not the calculated value) of a string attribute that uses a reference string.
GetStringAttribute Gets a string attribute value by title.
GetStringUserAttribute Gets a string attribute by Title and array Index.
GetTimeAttribute Gets a time attribute by title.
GetTimeUserAttribute Gets a time attribute by Title and array Index.
GetUserAttribute Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index.
GetUserAttributeAsString Gets the first attribute encountered on the object, if any, with a given title, type and array index.
GetUserAttributeCount Gets the count of set attributes on the object, if any, that satisfy the given iterator.
GetUserAttributeLock Determine the lock of the given attribute.
GetUserAttributeSize Gets the size of the first attribute encountered on the object, if any, with a given Title and Type.
GetUserAttributeSourceObjects Returns an array of objects from which this object presents attributes.
GetUserAttributes Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator.
GetUserAttributesAsStrings Gets all the attributes that have been set on the given object.
HasUserAttribute Determines if an attribute exists on the object, that satisfies the given iterator
Print Prints a representation of this object to the system log file.
SetAttribute Creates or modifies an integer attribute.
SetBooleanUserAttribute Creates or modifies a boolean attribute with the option to update or not.
SetName Sets the custom name of the object.
SetPdmReferenceAttribute Sets the value of PDM Reference attribute on the object.
SetReferenceAttribute Creates or modifies a string attribute which uses a reference string.
SetTimeAttribute Creates or modifies a time attribute.
SetTimeUserAttribute Creates or modifies a time attribute with the option to update or not.
SetUserAttribute Creates or modifies an attribute with the option to update or not.
SetUserAttributeLock Lock or unlock the given attribute.
SmoothOptResultsCreateBuilder Creates a NXOpen.CAE.SmoothOptResultsBuilder

Enumerations

SimSimulationAxisymAbstractionType Enumeration Used to specify the axisymmetric abstraction type during solution creation.

Property Detail

ActiveSolution

SimSimulation.ActiveSolution

Returns or sets the active solution

-------------------------------------

Getter Method

Signature ActiveSolution

Returns:the active solution NXOpen.CAE.SimSolution
Return type:NXOpen.CAE.SimSolution

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

Setter Method

Signature ActiveSolution

Parameters:activeSolution (NXOpen.CAE.SimSolution) – the active solution NXOpen.CAE.SimSolution

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

ConditionSeqManager

SimSimulation.ConditionSeqManager

Returns the Condition Sequence Manager

-------------------------------------

Getter Method

Signature ConditionSeqManager

Returns:the Condition Sequence Managerr
Return type:NXOpen.CAE.SimConditionSeqMgr

New in version NX9.0.0.

License requirements: None.

Femodel

SimSimulation.Femodel

Returns the FEModelOccurrence NXOpen.CAE.FEModelOccurrence associated with the simulation object

-------------------------------------

Getter Method

Signature Femodel

Returns:NXOpen.CAE.FEModelOccurrence associated with the simulation object
Return type:NXOpen.CAE.FEModelOccurrence

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

IsOccurrence

SimSimulation.IsOccurrence

Returns whether this object is an occurrence or not.

-------------------------------------

Getter Method

Signature IsOccurrence

Returns:This object is an occurrence
Return type:bool

New in version NX3.0.0.

License requirements: None.

JournalIdentifier

SimSimulation.JournalIdentifier

Returns the identifier that would be recorded in a journal for this object.

This may not be the same across different releases of the software.

-------------------------------------

Getter Method

Signature JournalIdentifier

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

Name

SimSimulation.Name

Returns the custom name of the object.

-------------------------------------

Getter Method

Signature Name

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

OwningComponent

SimSimulation.OwningComponent

Returns the owning component, if this object is an occurrence.

-------------------------------------

Getter Method

Signature OwningComponent

Returns:
Return type:NXOpen.Assemblies.Component

New in version NX3.0.0.

License requirements: None.

OwningPart

SimSimulation.OwningPart

Returns the owning part of this object

-------------------------------------

Getter Method

Signature OwningPart

Returns:The owning part of this object or null if it does not have an owner
Return type:NXOpen.BasePart

New in version NX3.0.0.

License requirements: None.

Prototype

SimSimulation.Prototype

Returns the prototype of this object if it is an occurrence.

-------------------------------------

Getter Method

Signature Prototype

Returns:The prototype of this object or null if this object is not an occurrence
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

Loads

SimSimulation.Loads

Returns the load collection belonging to this sim part

Signature Loads

New in version NX3.0.0.

Returns:
Return type:NXOpen.CAE.SimLoadCollection

Constraints

SimSimulation.Constraints

Returns the constraint collection belonging to this sim part

Signature Constraints

New in version NX3.0.0.

Returns:
Return type:NXOpen.CAE.SimConstraintCollection

SimulationObjects

SimSimulation.SimulationObjects

Returns the simulation object collection belonging to this sim part

Signature SimulationObjects

New in version NX3.0.0.

Returns:
Return type:NXOpen.CAE.SimSimulationObjectCollection

ResponseSimulationManager

SimSimulation.ResponseSimulationManager

Returns the response simulation manager belonging to this sim part

Signature ResponseSimulationManager

New in version NX3.0.0.

Returns:
Return type:NXOpen.CAE.ResponseSimulation.Manager

CorrelManager

SimSimulation.CorrelManager

Returns the correl manager belonging to this sim part

Signature CorrelManager

New in version NX3.0.0.

Returns:
Return type:NXOpen.CAE.CorrelManager

SimulationRecipes

SimSimulation.SimulationRecipes

Returns the simulation recipe collection belonging to this sim part

Signature SimulationRecipes

New in version NX3.0.0.

Returns:
Return type:NXOpen.CAE.SimRecipeCollection

CaeRegions

SimSimulation.CaeRegions

Returns the CAE region collection belonging to this sim part

Signature CaeRegions

New in version NX7.5.0.

Returns:
Return type:NXOpen.CAE.CaeRegionCollection

CaeDOFSets

SimSimulation.CaeDOFSets

Returns the CAE DOFSet collection belonging to this sim part

Signature CaeDOFSets

New in version NX7.5.0.

Returns:
Return type:NXOpen.CAE.CaeDOFSetCollection

DurabilityManager

SimSimulation.DurabilityManager

Returns the durability manager belonging to this sim part

Signature DurabilityManager

New in version NX7.5.0.

Returns:
Return type:NXOpen.CAE.DurabilityManager

Solutions

SimSimulation.Solutions

Returns the CAE Solution collection belonging to this sim part

Signature Solutions

New in version NX7.5.0.

Returns:
Return type:NXOpen.CAE.SimSolutionCollection

LaminateManager

SimSimulation.LaminateManager

Returns the laminate manager belonging to this sim part

Signature LaminateManager

New in version NX8.0.0.

Returns:
Return type:NXOpen.CAE.LaminateManager

TBSOptimizationManager

SimSimulation.TBSOptimizationManager

Returns the optimization manager belonging to this sim part

Signature TBSOptimizationManager

New in version NX8.0.0.

Returns:
Return type:NXOpen.CAE.Optimization.TBSOptimizationManager

OptimizationManager

SimSimulation.OptimizationManager

Returns the Design and Analysis optimization manager belonging to this sim part

Signature OptimizationManager

New in version NX8.0.0.

Returns:
Return type:NXOpen.CAE.Optimization.DAOOptimizationManager

ResultMeasures

SimSimulation.ResultMeasures

Returns the CAE ResultMeasure collection belonging to this sim part

Signature ResultMeasures

New in version NX8.0.0.

Returns:
Return type:NXOpen.CAE.ResultMeasureCollection

LbcFolders

SimSimulation.LbcFolders

Returns the CAE SimLbcFolder collection belonging to this sim part

Signature LbcFolders

New in version NX9.0.0.

Returns:
Return type:NXOpen.CAE.SimLbcFolderCollection

AdaptivitySolutions

SimSimulation.AdaptivitySolutions

Returns the CAE Adaptivity collection belonging to this sim part

Signature AdaptivitySolutions

New in version NX10.0.0.

Returns:
Return type:NXOpen.CAE.AdaptivityMetaSolutionCollection

LoadRecipes

SimSimulation.LoadRecipes

Returns the CAE Load Recipe collection belonging to this sim part

Signature LoadRecipes

New in version NX10.0.0.

Returns:
Return type:NXOpen.CAE.SimLoadRecipeCollection

LoadSets

SimSimulation.LoadSets

Returns the CAE SimLoadSet collection belonging to this sim part

Signature LoadSets

New in version NX10.0.0.

Returns:
Return type:NXOpen.CAE.SimLoadSetCollection

ConstraintSets

SimSimulation.ConstraintSets

Returns the CAE SimConstraintSet collection belonging to this sim part

Signature ConstraintSets

New in version NX11.0.0.

Returns:
Return type:NXOpen.CAE.SimConstraintSetCollection

DurSpecialistManager

SimSimulation.DurSpecialistManager

Returns the durability specialist manager belonging to this sim part

Signature DurSpecialistManager

New in version NX12.0.0.

Returns:
Return type:NXOpen.CAE.DurSpecialistManager

DataProcessings

SimSimulation.DataProcessings

Returns the Data Processing collection belonging to this sim part

Signature DataProcessings

New in version NX12.0.0.

Returns:
Return type:NXOpen.CAE.DataProcessingCollection

AeroStructManager

SimSimulation.AeroStructManager

Returns the aero structure manager belonging to this sim part

Signature AeroStructManager

New in version NX12.0.0.

Returns:
Return type:NXOpen.CAE.AeroStructManager

Method Detail

AddBc

SimSimulation.AddBc

Adds the boundary condition to the step in the solution passed.

If solution is None then the boundary condition is added to the active solution If step is None then the boundary condition is added to the active step

Signature AddBc(bc, solution, solutionStep)

Parameters:

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

BcSequenceDisplay

SimSimulation.BcSequenceDisplay

Updates the specified boundary conditions persistent display color according to the sequence colors defined in customer default setting.

The behavior of this API is depends on the inputs: 1, If only NXOpen.CAE.SimBC objects are input, then each boundary condition will get its own sequence color. 2, If only NXOpen.CAE.SimLbcFolder objects are input, then each Folder will get its own sequence color and that color will be applied to all the boundary condition in the folder; If a folder is subfolders and the parent folder also in the input objects list, then this subfolder’s color is same as the parent folder’s color, if the subfolder in the input list but its parent folder is not in the list, this subfolder will get its own sequence color. 3, If only one NXOpen.CAE.SimLbcFolder is input, or if the input contains both NXOpen.CAE.SimBC and NXOpen.CAE.SimLbcFolder objects, then each boundary condition will get its own sequence color.

Signature BcSequenceDisplay(objects)

Parameters:objects (list of NXOpen.NXObject) – The input objects can be 1, NXOpen.CAE.SimBC 2, NXOpen.CAE.SimLbcFolder

New in version NX10.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CloneSolution

SimSimulation.CloneSolution

Clone the solution

Signature CloneSolution(oldSolution, suggestedName)

Parameters:
Returns:

the newly created NXOpen.CAE.SimSolution

Return type:

NXOpen.CAE.SimSolution

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CreateAutoBcBuilder

SimSimulation.CreateAutoBcBuilder

Creates a NXOpen.CAE.AutoBCBuilder

Signature CreateAutoBcBuilder(pcBCDescName, pcRecipeName)

Parameters:
  • pcBCDescName (str) – The neutral name of the LBCDescriptor.
  • pcRecipeName (str) – The name of the AutoBCRecipe
Returns:

The AutoBCBuilder object

Return type:

NXOpen.CAE.AutoBCBuilder

New in version NX6.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CreateAutoCyclicSymmetryPairsBuilder

SimSimulation.CreateAutoCyclicSymmetryPairsBuilder

Creates a NXOpen.CAE.AutoCyclicSymmetryPairsBuilder

Signature CreateAutoCyclicSymmetryPairsBuilder(pcBCDescName)

Parameters:pcBCDescName (str) – The neutral name of the AutoCyclicSymmetryPairsDescriptor.
Returns:The AutoCyclicSymmetryPairsBuilder object
Return type:NXOpen.CAE.AutoCyclicSymmetryPairsBuilder

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CreateAutoPairsBuilder

SimSimulation.CreateAutoPairsBuilder

Creates a NXOpen.CAE.AutoPairsBuilder

Signature CreateAutoPairsBuilder(pcBCDescName)

Parameters:pcBCDescName (str) – The neutral name of the AutoPairsDescriptor.
Returns:The AutoPairsBuilder object
Return type:NXOpen.CAE.AutoPairsBuilder

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CreateBcBuilderForBc

SimSimulation.CreateBcBuilderForBc

Creates a boundary condition builder for the boundary condition passed

Signature CreateBcBuilderForBc(bc)

Parameters:bc (NXOpen.CAE.SimBC) – boundary condition object
Returns:boundary condition builder
Return type:NXOpen.CAE.SimBCBuilder

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CreateBcBuilderForConstraintDescriptor

SimSimulation.CreateBcBuilderForConstraintDescriptor

Overloaded method CreateBcBuilderForConstraintDescriptor

  • CreateBcBuilderForConstraintDescriptor(bcDescName, bcName)
  • CreateBcBuilderForConstraintDescriptor(bcDescName, bcName, label)

-------------------------------------

Creates a BC builder for the constraint descriptor passed

Signature CreateBcBuilderForConstraintDescriptor(bcDescName, bcName)

Parameters:
  • bcDescName (str) – name of the constraint descriptor
  • bcName (str) – name of the constraint to be created
Returns:

boundary condition builder

Return type:

NXOpen.CAE.SimBCBuilder

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

Creates a BC builder for the constraint descriptor passed

Signature CreateBcBuilderForConstraintDescriptor(bcDescName, bcName, label)

Parameters:
  • bcDescName (str) – name of the constraint descriptor
  • bcName (str) – name of the constraint to be created
  • label (int) – constraint label
Returns:

boundary condition builder

Return type:

NXOpen.CAE.SimBCBuilder

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

CreateBcBuilderForLoadDescriptor

SimSimulation.CreateBcBuilderForLoadDescriptor

Overloaded method CreateBcBuilderForLoadDescriptor

  • CreateBcBuilderForLoadDescriptor(bcDescName, bcName)
  • CreateBcBuilderForLoadDescriptor(bcDescName, bcName, label)

-------------------------------------

Creates a BC builder for the load descriptor passed

Signature CreateBcBuilderForLoadDescriptor(bcDescName, bcName)

Parameters:
  • bcDescName (str) – name of the load descriptor
  • bcName (str) – name of the load to be created
Returns:

boundary condition builder

Return type:

NXOpen.CAE.SimBCBuilder

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

Creates a BC builder for the load descriptor passed

Signature CreateBcBuilderForLoadDescriptor(bcDescName, bcName, label)

Parameters:
  • bcDescName (str) – name of the load descriptor
  • bcName (str) – name of the load to be created
  • label (int) – load label
Returns:

boundary condition builder

Return type:

NXOpen.CAE.SimBCBuilder

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

CreateBcBuilderForSimulationObjectDescriptor

SimSimulation.CreateBcBuilderForSimulationObjectDescriptor

Overloaded method CreateBcBuilderForSimulationObjectDescriptor

  • CreateBcBuilderForSimulationObjectDescriptor(bcDescName, bcName)
  • CreateBcBuilderForSimulationObjectDescriptor(bcDescName, bcName, label)

-------------------------------------

Creates a boundary condition builder for the simulation object descriptor passed

Signature CreateBcBuilderForSimulationObjectDescriptor(bcDescName, bcName)

Parameters:
  • bcDescName (str) – name of the simulation object descriptor
  • bcName (str) – name of the simulation object to be created
Returns:

boundary condition builder

Return type:

NXOpen.CAE.SimBCBuilder

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

Creates a boundary condition builder for the simulation object descriptor passed

Signature CreateBcBuilderForSimulationObjectDescriptor(bcDescName, bcName, label)

Parameters:
  • bcDescName (str) – name of the simulation object descriptor
  • bcName (str) – name of the simulation object to be created
  • label (int) – simulation object label
Returns:

boundary condition builder

Return type:

NXOpen.CAE.SimBCBuilder

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

CreateBcLabelManagerBuilder

SimSimulation.CreateBcLabelManagerBuilder

Creates a NXOpen.CAE.BcLabelManagerBuilder

Signature CreateBcLabelManagerBuilder()

Returns:The BcLabelManagerBuilder object
Return type:NXOpen.CAE.BcLabelManagerBuilder

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

CreateBcSelectionDisplayBuilder

SimSimulation.CreateBcSelectionDisplayBuilder

Creates a builder for boundary condition selection display controls command to display boundary condition’s selection CAE geometries with this boundary condition’s persistent display color

Signature CreateBcSelectionDisplayBuilder()

Returns:
Return type:NXOpen.CAE.BCSelectionDisplayBuilder

New in version NX10.0.0.

License requirements: nx_design_sim (“NX Design Simulation”)

CreateCaeRegionBuilder

SimSimulation.CreateCaeRegionBuilder

Creates a NXOpen.CAE.CaeRegionBuilder

Signature CreateCaeRegionBuilder(pcRegionDescName, tRegion)

Parameters:
  • pcRegionDescName (str) – The neutral name of the region descriptor.
  • tRegion (NXOpen.CAE.CaeRegion) – The region if we are editing it, or None if we are creating a new one
Returns:

The RegionBuilder object

Return type:

NXOpen.CAE.CaeRegionBuilder

New in version NX7.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CreateConstraintSetBuilder

SimSimulation.CreateConstraintSetBuilder

Creates a NXOpen.CAE.SimConstraintSetBuilder

Signature CreateConstraintSetBuilder(pcConstraintSetDescName, tConstraintSet)

Parameters:
  • pcConstraintSetDescName (str) – The neutral name of the constraint set descriptor.
  • tConstraintSet (NXOpen.CAE.SimConstraintSet) – The constraint set if we are editing it, or None if we are creating a new one
Returns:

The ConstraintSetBuilder object

Return type:

NXOpen.CAE.SimConstraintSetBuilder

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CreateImportedSolutionBuilder

SimSimulation.CreateImportedSolutionBuilder

Creates a NXOpen.CAE.ImportedSolutionBuilder

Signature CreateImportedSolutionBuilder()

Returns:The ImportedSolutionBuilder object
Return type:NXOpen.CAE.ImportedSolutionBuilder

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CreateLoadSetBuilder

SimSimulation.CreateLoadSetBuilder

Creates a NXOpen.CAE.SimLoadSetBuilder

Signature CreateLoadSetBuilder(pcLoadSetDescName, pName, tLoadSet, iLabel)

Parameters:
  • pcLoadSetDescName (str) – The neutral name of the load set descriptor.
  • pName (str) – The name of the load set.
  • tLoadSet (NXOpen.CAE.SimLoadSet) – The load set if we are editing it, or None if we are creating a new one
  • iLabel (int) – The label of the load set.
Returns:

The LoadSetBuilder object

Return type:

NXOpen.CAE.SimLoadSetBuilder

New in version NX10.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CreateMotionLoadsBuilder

SimSimulation.CreateMotionLoadsBuilder

Creates a NXOpen.CAE.SimMotionLoadsBuilder

Signature CreateMotionLoadsBuilder()

Returns:The SimMotionLoadsBuilder object
Return type:NXOpen.CAE.SimMotionLoadsBuilder

New in version NX5.0.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CreateMotionLoadsListItemBuilder

SimSimulation.CreateMotionLoadsListItemBuilder

Creates a NXOpen.CAE.SimMotionLoadsListItemBuilder

Signature CreateMotionLoadsListItemBuilder()

Returns:The SimMotionLoadsListItemBuilder object
Return type:NXOpen.CAE.SimMotionLoadsListItemBuilder

New in version NX5.0.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CreateSimBcPlotContoursBuilder

SimSimulation.CreateSimBcPlotContoursBuilder

Creates a NXOpen.CAE.SimBcPlotContoursBuilder

Signature CreateSimBcPlotContoursBuilder()

Returns:The SimBcPlotContoursBuilder object
Return type:NXOpen.CAE.SimBcPlotContoursBuilder

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

CreateSimBcXyPlotBuilder

SimSimulation.CreateSimBcXyPlotBuilder

Creates a NXOpen.CAE.SimBcXyPlotBuilder

Signature CreateSimBcXyPlotBuilder()

Returns:The SimBcXyPlotBuilder object
Return type:NXOpen.CAE.SimBcXyPlotBuilder

New in version NX9.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

CreateSolution

SimSimulation.CreateSolution

Overloaded method CreateSolution

  • CreateSolution(solverType, analysisType, solutionType, name)
  • CreateSolution(solverType, analysisType, solutionType, name, abstractionType)
  • CreateSolution(conditionSeqeunce, solverType, analysisType, solutionType, name)
  • CreateSolution(conditionSeqeunce, numSteps, solverType, analysisType, solutionType, name)
  • CreateSolution(conditionSeqeunce, stepSize, stepUnit, solverType, analysisType, solutionType, name)
  • CreateSolution(nodalForceReport, name, subcaseOption, stepTag, createForce, createMoment)

-------------------------------------

Creates a solution

Signature CreateSolution(solverType, analysisType, solutionType, name)

Parameters:
  • solverType (str) – name of the solver
  • analysisType (str) – name of the analysis type
  • solutionType (str) – name of the solution type
  • name (str) – name of the solution to be created
Returns:

the created NXOpen.CAE.SimSolution

Return type:

NXOpen.CAE.SimSolution

New in version NX4.0.0.

Deprecated since version NX11.0.0: Use NXOpen.CAE.SimSimulation.CreateSolution() with abstraction type input instead.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

Creates a solution

Signature CreateSolution(solverType, analysisType, solutionType, name, abstractionType)

Parameters:
  • solverType (str) – name of the solver
  • analysisType (str) – name of the analysis type
  • solutionType (str) – name of the solution type
  • name (str) – name of the solution to be created
  • abstractionType (NXOpen.CAE.SimSimulationAxisymAbstractionType) – the axisymmetric abstraction type. Refer to NX help for more information
Returns:

the created NXOpen.CAE.SimSolution

Return type:

NXOpen.CAE.SimSolution

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

Creates a solution from a condition sequence

Signature CreateSolution(conditionSeqeunce, solverType, analysisType, solutionType, name)

Parameters:
Returns:

the created NXOpen.CAE.SimSolution

Return type:

NXOpen.CAE.SimSolution

New in version NX9.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

-------------------------------------

Creates a solution from a condition sequence and number of integration steps

Signature CreateSolution(conditionSeqeunce, numSteps, solverType, analysisType, solutionType, name)

Parameters:
  • conditionSeqeunce (NXOpen.CAE.SimConditionSequence) – create solution from NXOpen.CAE.SimConditionSequence
  • numSteps (int) – number of integration steps
  • solverType (str) – name of the solver
  • analysisType (str) – name of the analysis type
  • solutionType (str) – name of the solution type
  • name (str) – name of the solution to be created
Returns:

the created NXOpen.CAE.SimSolution

Return type:

NXOpen.CAE.SimSolution

New in version NX9.0.0.

Deprecated since version NX11.0.0: Use NXOpen.CAE.SimSimulation.CreateSolution() and NXOpen.CAE.SimSolution.SetTimePropsFromConditionSequence() with number of steps input instead.

License requirements: nx_masterfem (“Finite Element Modeling”)

-------------------------------------

Creates a solution from a condition sequence and integration step size

Signature CreateSolution(conditionSeqeunce, stepSize, stepUnit, solverType, analysisType, solutionType, name)

Parameters:
Returns:

the created NXOpen.CAE.SimSolution

Return type:

NXOpen.CAE.SimSolution

New in version NX9.0.0.

Deprecated since version NX11.0.0: Use NXOpen.CAE.SimSimulation.CreateSolution() and NXOpen.CAE.SimSolution.SetTimePropsFromConditionSequence() with step size input instead.

License requirements: nx_masterfem (“Finite Element Modeling”)

-------------------------------------

Creates a solution from free body

Signature CreateSolution(nodalForceReport, name, subcaseOption, stepTag, createForce, createMoment)

Parameters:
Returns:

the created NXOpen.CAE.SimSolution

Return type:

NXOpen.CAE.SimSolution

New in version NX11.0.2.

License requirements: nx_masterfem (“Finite Element Modeling”)

-------------------------------------

CreateSolutionManager

SimSimulation.CreateSolutionManager

Creates a NXOpen.CAE.SolutionManager for the active solution environment

Signature CreateSolutionManager()

Returns:The SolutionManager object
Return type:NXOpen.CAE.SolutionManager

New in version NX10.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

CreateSolutionStep

SimSimulation.CreateSolutionStep

Creates a step and add to the solution

Signature CreateSolutionStep(solution, stepType, name)

Parameters:
  • solution (NXOpen.CAE.SimSolution) – the solution to which the step will be added, if a None is passed the current active solution will be used
  • stepType (int) – index of the step type
  • name (str) – name of the step
Returns:

step NXOpen.CAE.SimSolutionStep to be added

Return type:

NXOpen.CAE.SimSolutionStep

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CreateStepManager

SimSimulation.CreateStepManager

Creates a NXOpen.CAE.StepManager for a solution

Signature CreateStepManager(tSol)

Parameters:tSol (NXOpen.CAE.SimSolution) – solution
Returns:The StepManager object
Return type:NXOpen.CAE.StepManager

New in version NX10.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

DeleteSolution

SimSimulation.DeleteSolution

Delete the solution

Signature DeleteSolution(solution)

Parameters:solution (NXOpen.CAE.SimSolution) – the NXOpen.CAE.SimSolution to be deleted

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

FindObject

SimSimulation.FindObject

Finds the NXOpen.NXObject with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Signature FindObject(journalIdentifier)

Parameters:journalIdentifier (str) – Journal identifier of the object
Returns:
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

Print

SimSimulation.Print

Prints a representation of this object to the system log file.

Signature Print()

New in version NX3.0.0.

License requirements: None.

SetName

SimSimulation.SetName

Sets the custom name of the object.

NOTE: This method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.

Signature SetName(name)

Parameters:name (str) –

New in version NX3.0.0.

License requirements: None.

SmoothOptResultsCreateBuilder

SimSimulation.SmoothOptResultsCreateBuilder

Creates a NXOpen.CAE.SmoothOptResultsBuilder

Signature SmoothOptResultsCreateBuilder()

Returns:The SmoothOptResultsBuilder object
Return type:NXOpen.CAE.SmoothOptResultsBuilder

New in version NX12.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)